! +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
! 
! verification procedure EFOSCobstest.prg
! 
! K. Banse	ESO - Garching
! execute via @@ EFOSCobstest
! 
!.VERSION
! 950314        creation        P. Le Saux
! 100407	last modif
! 
! ---------------------------------------------------------------
! 
@@ VerifySetup
write/out
write/out "----------------------------"
write/out "executing the EFOSC obs test"
write/out "----------------------------"
write/out
! 
write/out "--------"
write/out "@@ EXTobsinit
write/out "--------"
write/out
@@ EXTobsinit.prg
write/out
write/out "--------"
write/out "@@ EXTLoadImage AcqMos_0004.fits 1300 1900 -2 -2 1000 1000  "
write/out "--------"
write/out
@@ EXTLoadImage EFOSC_AcqMos_0004.fits 1300 1900 -2 -2 1000 1000
! 
! check results
write/keyw icorr/i/2/2 700,700
@@ kcompare obst010:icorr ididev 2,2
write/keyw icorr/i/2/8 101,101,515,515,2,2,2,2
@@ kcompare obst012:icorr idimemi 2,8
write/keyw icorr/i/1/8 4,4,2060,2060,1300,1900,31,65535
@@ kcompare obst014:icorr idimemr 1,8
if errsum .gt. 0 then
   write/out ****** EFOSCobstest failed:
   write/out ****** problems with EXTLoadImage procedure!
   return/exit
endif
! 
write/out
write/out "--------"
write/out "@@ EXTLastMean EFOSC_AcqMos_0004.fits AI  "
write/out "--------"
write/out
@@ EXTLastMean EFOSC_AcqMos_0004.fits AI
if errsum .gt. 0 then
   write/out ****** EFOSCobstest failed:
   write/out ****** problems with EXTLastMean procedure!
   return/exit
endif
write/out
write/out "--------"
write/out "@@ EXTautoSeeing AcqMos_0004.fits    "
write/out "--------"
write/out
@@ EXTautoSeeing EFOSC_AcqMos_0004.fits 
if errsum .gt. 0 then
   write/out ****** EFOSCobstest failed:
   write/out ****** problems with EXTautoSeeing procedure!
   return/exit
endif
write/out
write/out "--------"
write/out "@@ EXTStatImage AcqMos_0004.fits   "
write/out "--------"
write/out
@@ EXTStatImage EFOSC_AcqMos_0004.fits
if errsum .gt. 0 then
   write/out ****** EFOSCobstest failed:
   write/out ****** problems with EXTStatImage procedure!
   return/exit
endif
write/out
write/out "--------"
write/out "@@ EXTRotate AcqMos_0004.fits G "
write/out "--------"
write/out
@@ EXTRotate EFOSC_AcqMos_0004.fits G
if errsum .gt. 0 then
   write/out ****** EFOSCobstest failed:
   write/out ****** problems with EXTRotate procedure!
   return/exit
endif
write/out
write/out "--------"
write/out "@@ EXTPoint 1000 1000 0 G    "
write/out "--------"
write/out
@@ EXTPoint 1000 1000 0 G
if errsum .gt. 0 then
   write/out ****** EFOSCobstest failed:
   write/out ****** problems with EXTPoint procedure!
   return/exit
endif
write/out
write/out "--------"
write/out "@@ EXTMosAlign ImaInt_0002.fits AcqMos_0004.fits  "
write/out "--------"
write/out
@@ EXTMosAlign EFOSC_ImaInt_0002.fits EFOSC_AcqMos_0004.fits
if errsum .gt. 0 then
   write/out ****** EFOSCobstest failed:
   write/out ****** problems with EXTMosAlign procedure!
   return/exit
endif
write/out
write/out "--------"
write/out "@@ EXTFocusSeq -3.5 0.1 9   "
write/out "--------"
write/out
load EFOSC_FocSeq006_0002.fits cuts=f,ihap scale=-3
@@ EXTFocusSeq -3.5 0.1 9
if errsum .gt. 0 then
   write/out ****** EFOSCobstest failed:
   write/out ****** problems with EXTFocusSeq procedure!
   return/exit
endif
write/out
write/out "--------"
write/out "@@ EXTFocusWedge.prg EFOSC_FocWedge119_0003.fits  "
write/out "--------"
write/out
@@ EXTFocusWedge.prg EFOSC_FocWedge119_0003.fits
if errsum .gt. 0 then
   write/out ****** EFOSCobstest failed:
   write/out ****** problems with EXTFocusWedge procedure!
   return/exit
endif
write/out
write/out "--------"
write/out "@@ EXTDrawSlit.prg  EFOSC_AcqMos_0004.fits 1000 1000 5.0  "
write/out "--------"
write/out
!echo/full
@@ EXTDrawSlit.prg  EFOSC_AcqMos_0004.fits 1000 1000 5.0
if errsum .gt. 0 then
   write/out ****** EFOSCobstest failed:
   write/out ****** problems with EXTDrawSlit procedure!
   return/exit
endif
write/out
write/out "--------------------------------------"
write/out "EFOSC obs test terminated successfully"
write/out "--------------------------------------"
write/out
write/out
write/out
 
